<source>
  @type forward
  port 24224
  bind 0.0.0.0
</source>

<filter docker.**>
  @type parser
  key_name log
  reserve_data true
  <parse>
    @type regexp
    expression /^(?<message>.*)\b(SIGTERM|SEVERE ERROR|FATAL|CRITICAL)\b/i
  </parse>
</filter>

<match docker.**>
  @type exec
  command "/go-glitch"
  <buffer>
    flush_interval 10s
  </buffer>
  <format>
    @type json
  </format>
  run_interval 10s
</match>
